﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Diagnostics;

namespace XamCarouselLBItemTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Data = new ObservableCollection<CarouselItem>
            {
                new CarouselItem { Image = "Images/32.png", Text = "Item 1", Link = "www.infragistics.com" },
                new CarouselItem { Image = "Images/33.jpg", Text = "Item 2", Link = "www.infragistics.com" },
                new CarouselItem { Image = "Images/34.png", Text = "Item 3", Link = "www.infragistics.com" },
                new CarouselItem { Image = "Images/35.jpg", Text = "Item 4", Link = "www.infragistics.com" },
            };

            DataContext = this;
        }

        public ObservableCollection<CarouselItem> Data { get; set; }

        private void Image_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if ((sender as Image).DataContext is CarouselItem)
            {
                Process.Start(((sender as Image).DataContext as CarouselItem).Link, null);
            }
            else
            {
                Process.Start("www.infragistics.com", null);
            }
        }
    }

    public class CarouselItem
    {
        public string Image { get; set; }
        public string Text { get; set; }
        public string Link { get; set; }
    }
}
